# Change Log

## 4.0.7

### Patch Changes

- [#7154](https://github.com/chakra-ui/chakra-ui/pull/7154)
  [`2d7398a01`](https://github.com/chakra-ui/chakra-ui/commit/2d7398a0142b5bdd3f68ce05bd159fc824cda5ef)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - ## All components

  Improved the bundling setup for all components.

  - Switched to the `.mjs` file extension for correct ESM behavior
  - Switched to the latest `tsup` will uses automatic JSX runtime detection
    removing the need for manually inject classic `React` import
  - Moved `tsup` config to `package.json` since it's very minimal
  - Removed `clean-package.config.json` in favor of the `package.json` property
  - Fixed issue where Storybook addon (dark mode and RTL) was not working

- Updated dependencies
  [[`2d7398a01`](https://github.com/chakra-ui/chakra-ui/commit/2d7398a0142b5bdd3f68ce05bd159fc824cda5ef),
  [`0eedc151c`](https://github.com/chakra-ui/chakra-ui/commit/0eedc151caec8dbdb53e4e5e8354e2310553c19f),
  [`96287f8c2`](https://github.com/chakra-ui/chakra-ui/commit/96287f8c2cd0642c69529b6384f0bf338ad8476d)]:
  - @chakra-ui/alert@2.0.14
  - @chakra-ui/close-button@2.0.14
  - @chakra-ui/portal@2.0.13
  - @chakra-ui/theme@2.2.3
  - @chakra-ui/styled-system@2.5.1
  - @chakra-ui/system@2.3.6
  - @chakra-ui/react-use-timeout@2.0.4
  - @chakra-ui/react-use-update-effect@2.0.6
  - @chakra-ui/shared-utils@2.0.4

## 4.0.6

### Patch Changes

- Updated dependencies
  [[`37b7a130a`](https://github.com/chakra-ui/chakra-ui/commit/37b7a130aaff0cbb97f206978315075eb06e5100)]:
  - @chakra-ui/styled-system@2.5.0
  - @chakra-ui/theme@2.2.2
  - @chakra-ui/system@2.3.5
  - @chakra-ui/alert@2.0.13
  - @chakra-ui/close-button@2.0.13

## 4.0.5

### Patch Changes

- Updated dependencies
  [[`4dbfc1a11`](https://github.com/chakra-ui/chakra-ui/commit/4dbfc1a115a2fce51b29f3fd3baa3a823b3e359d)]:
  - @chakra-ui/portal@2.0.12

## 4.0.4

### Patch Changes

- Updated dependencies
  [[`eb3bfe66d`](https://github.com/chakra-ui/chakra-ui/commit/eb3bfe66d3aecc8cf46f29ef08dc748afb83f781),
  [`4d5501b82`](https://github.com/chakra-ui/chakra-ui/commit/4d5501b82b6fe215f1a7d205250325c0a2221337),
  [`1a4dad7a4`](https://github.com/chakra-ui/chakra-ui/commit/1a4dad7a4f15e24e0f529b8f8277346d0399c3fc),
  [`eb82598c2`](https://github.com/chakra-ui/chakra-ui/commit/eb82598c27e97d0e7a77412d3ecc95918a2b73fa),
  [`9e3d91fd7`](https://github.com/chakra-ui/chakra-ui/commit/9e3d91fd73b1cadc14f98b6c834c0e6faf134bd2),
  [`bf7704112`](https://github.com/chakra-ui/chakra-ui/commit/bf7704112ebb2aba675084706c8364a755ad10e3)]:
  - @chakra-ui/styled-system@2.4.0
  - @chakra-ui/theme@2.2.2
  - @chakra-ui/system@2.3.4
  - @chakra-ui/portal@2.0.11
  - @chakra-ui/alert@2.0.13
  - @chakra-ui/close-button@2.0.13

## 4.0.3

### Patch Changes

- Updated dependencies
  [[`cbd09c31f`](https://github.com/chakra-ui/chakra-ui/commit/cbd09c31ff7134157906dbaeaaea5a920185e36a)]:
  - @chakra-ui/theme@2.2.1
  - @chakra-ui/system@2.3.3
  - @chakra-ui/alert@2.0.12
  - @chakra-ui/close-button@2.0.12

## 4.0.2

### Patch Changes

- [#6945](https://github.com/chakra-ui/chakra-ui/pull/6945)
  [`75eaba929`](https://github.com/chakra-ui/chakra-ui/commit/75eaba9293e2c7d5bd6aed2037df05128f335930)
  Thanks [@anddoutoi](https://github.com/anddoutoi)! - Fix issue where using
  `@chakra-ui/react` in a TypeScript project with `"type": "module"` in
  `package.json` and `"moduleResolution": "Node16"` in `tsconfig.json` cannot
  find the types.
- Updated dependencies
  [[`9c7db55f4`](https://github.com/chakra-ui/chakra-ui/commit/9c7db55f486280ef81adc97cf597a9101db2ceb2),
  [`2a86d6c35`](https://github.com/chakra-ui/chakra-ui/commit/2a86d6c353e88d86b46030a53130a062433f30b2),
  [`2a86d6c35`](https://github.com/chakra-ui/chakra-ui/commit/2a86d6c353e88d86b46030a53130a062433f30b2),
  [`75eaba929`](https://github.com/chakra-ui/chakra-ui/commit/75eaba9293e2c7d5bd6aed2037df05128f335930)]:
  - @chakra-ui/theme@2.2.0
  - @chakra-ui/system@2.3.2
  - @chakra-ui/alert@2.0.12
  - @chakra-ui/close-button@2.0.12
  - @chakra-ui/portal@2.0.11
  - @chakra-ui/styled-system@2.3.5
  - @chakra-ui/react-use-timeout@2.0.3
  - @chakra-ui/react-use-update-effect@2.0.5

## 4.0.1

### Patch Changes

- Updated dependencies
  [[`f3b66694f`](https://github.com/chakra-ui/chakra-ui/commit/f3b66694f054491dcf8830ec48cd0e4ee77490e0)]:
  - @chakra-ui/theme@2.1.15
  - @chakra-ui/system@2.3.1
  - @chakra-ui/alert@2.0.11
  - @chakra-ui/close-button@2.0.11

## 4.0.0

### Patch Changes

- [#6781](https://github.com/chakra-ui/chakra-ui/pull/6781)
  [`6d3178273`](https://github.com/chakra-ui/chakra-ui/commit/6d3178273dd7742cd14d5902606c70cdd9adb0d3)
  Thanks [@anubra266](https://github.com/anubra266)! - Allow `containerStyles`
  to accept style props, not just React CSS properties

* [`58511eae5`](https://github.com/chakra-ui/chakra-ui/commit/58511eae5b6c5f321fef3fade42a63a1639b31f7)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Expose original
  toast options to toast `render` options

* Updated dependencies
  [[`58856c739`](https://github.com/chakra-ui/chakra-ui/commit/58856c739c536474cc23a94809082a9d549c71a3),
  [`87f5c275e`](https://github.com/chakra-ui/chakra-ui/commit/87f5c275e42c36ff806f553f80ae559fad4182ef)]:
  - @chakra-ui/theme@2.1.14
  - @chakra-ui/system@2.3.0
  - @chakra-ui/alert@2.0.11
  - @chakra-ui/close-button@2.0.11

## 3.0.13

### Patch Changes

- [#6648](https://github.com/chakra-ui/chakra-ui/pull/6648)
  [`9de39921b`](https://github.com/chakra-ui/chakra-ui/commit/9de39921b983ad0eb2df7195e3b683c2e2e9e290)
  Thanks [@cschroeter](https://github.com/cschroeter)! - Declare package exports
  @see https://webpack.js.org/guides/package-exports/

* [#6765](https://github.com/chakra-ui/chakra-ui/pull/6765)
  [`014d1d224`](https://github.com/chakra-ui/chakra-ui/commit/014d1d224b0e4ac140f92eabade542040177c277)
  Thanks [@anubra266](https://github.com/anubra266)! - Fixed unmet
  `@chakra-ui/styled-system` dependency issue

* Updated dependencies
  [[`9de39921b`](https://github.com/chakra-ui/chakra-ui/commit/9de39921b983ad0eb2df7195e3b683c2e2e9e290),
  [`db552c6c0`](https://github.com/chakra-ui/chakra-ui/commit/db552c6c05cacffe6498adf18e753aa972730864),
  [`d945b9a7d`](https://github.com/chakra-ui/chakra-ui/commit/d945b9a7da3056017cda0cdd552af40fa1426070),
  [`2283faae3`](https://github.com/chakra-ui/chakra-ui/commit/2283faae3e361a8978a93b0ef7fd43b637153555),
  [`16c56953b`](https://github.com/chakra-ui/chakra-ui/commit/16c56953b51d34688d06d6599b70bb895f5ac86d)]:
  - @chakra-ui/alert@2.0.11
  - @chakra-ui/close-button@2.0.11
  - @chakra-ui/portal@2.0.10
  - @chakra-ui/styled-system@2.3.4
  - @chakra-ui/system@2.2.12
  - @chakra-ui/theme@2.1.13
  - @chakra-ui/react-use-timeout@2.0.2
  - @chakra-ui/react-use-update-effect@2.0.4

## 3.0.12

### Patch Changes

- Updated dependencies []:
  - @chakra-ui/system@2.2.11
  - @chakra-ui/theme@2.1.12
  - @chakra-ui/alert@2.0.10
  - @chakra-ui/close-button@2.0.10

## 3.0.11

### Patch Changes

- [#6666](https://github.com/chakra-ui/chakra-ui/pull/6666)
  [`3e1b3f6b6`](https://github.com/chakra-ui/chakra-ui/commit/3e1b3f6b6a7398b71ac08339110f075695fbae94)
  Thanks [@TylerAPfledderer](https://github.com/TylerAPfledderer)! - Add missing
  component/function docs and relative docsite links.

  Ensures that all Components, functions, and hooks that have detailed pages on
  the Chakra site have corresponding JSDocs and links back to the docsite via
  IDE intellisense.

  Includes adding or fixing links within these docs to related WAI-ARIA
  patterns.

- Updated dependencies
  [[`e62697467`](https://github.com/chakra-ui/chakra-ui/commit/e62697467fea03c9a6035ed67a635f9dc72bc471),
  [`c2d1c362f`](https://github.com/chakra-ui/chakra-ui/commit/c2d1c362f5bf2dfc3fa27fa8a987c1d037e12479),
  [`3e1b3f6b6`](https://github.com/chakra-ui/chakra-ui/commit/3e1b3f6b6a7398b71ac08339110f075695fbae94)]:
  - @chakra-ui/theme@2.1.12
  - @chakra-ui/system@2.2.10
  - @chakra-ui/alert@2.0.10
  - @chakra-ui/close-button@2.0.10
  - @chakra-ui/portal@2.0.9

## 3.0.10

### Patch Changes

- Updated dependencies
  [[`7d7e04d53`](https://github.com/chakra-ui/chakra-ui/commit/7d7e04d53d871e324debe0a2cb3ff44d7dbf3bca)]:
  - @chakra-ui/theme@2.1.11

## 3.0.9

### Patch Changes

- Updated dependencies
  [[`ec23eb020`](https://github.com/chakra-ui/chakra-ui/commit/ec23eb02066628d28f85c2c515fba4d0c0120601)]:
  - @chakra-ui/theme@2.1.10
  - @chakra-ui/system@2.2.9
  - @chakra-ui/alert@2.0.9
  - @chakra-ui/close-button@2.0.9

## 3.0.8

### Patch Changes

- [`8b0bd0d58`](https://github.com/chakra-ui/chakra-ui/commit/8b0bd0d5892d91699571b110adee89857078e9e0)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Fix issue where
  toast double update doesn't work

- Updated dependencies
  [[`e8f634e0d`](https://github.com/chakra-ui/chakra-ui/commit/e8f634e0d56a9d994aa139c7a36add3d30ede11f),
  [`5bacbdc2c`](https://github.com/chakra-ui/chakra-ui/commit/5bacbdc2c6f34fd6b8548e1a31c783084d2f775c),
  [`0cae42007`](https://github.com/chakra-ui/chakra-ui/commit/0cae42007308e94ef9a9fdbae3de259871ca33be),
  [`872c0ccf5`](https://github.com/chakra-ui/chakra-ui/commit/872c0ccf56d927d49af02a8a4d6bb6811774eff7)]:
  - @chakra-ui/theme@2.1.9
  - @chakra-ui/system@2.2.8
  - @chakra-ui/alert@2.0.9
  - @chakra-ui/close-button@2.0.9

## 3.0.7

### Patch Changes

- [#6508](https://github.com/chakra-ui/chakra-ui/pull/6508)
  [`445661955`](https://github.com/chakra-ui/chakra-ui/commit/445661955dff1329156b535ef50c7cf27b8663a9)
  Thanks [@anubra266](https://github.com/anubra266)! - - Initial release of
  react hooks
  - Refactor all packages to reduce bundle size
  - Refactor code for proper prop doc generatation
- Updated dependencies
  [[`445661955`](https://github.com/chakra-ui/chakra-ui/commit/445661955dff1329156b535ef50c7cf27b8663a9)]:
  - @chakra-ui/react-use-timeout@2.0.1
  - @chakra-ui/react-use-update-effect@2.0.3
  - @chakra-ui/alert@2.0.9
  - @chakra-ui/close-button@2.0.9
  - @chakra-ui/portal@2.0.9
  - @chakra-ui/system@2.2.7
  - @chakra-ui/theme@2.1.8

## 3.0.6

### Patch Changes

- Force release

- Updated dependencies []:
  - @chakra-ui/alert@2.0.8
  - @chakra-ui/close-button@2.0.8
  - @chakra-ui/hooks@2.0.8
  - @chakra-ui/portal@2.0.8
  - @chakra-ui/react-utils@2.0.5
  - @chakra-ui/system@2.2.6
  - @chakra-ui/theme@2.1.7
  - @chakra-ui/transition@2.0.8
  - @chakra-ui/utils@2.0.8

## 3.0.5

### Patch Changes

- Updated dependencies
  [[`2fd5d07eb`](https://github.com/chakra-ui/chakra-ui/commit/2fd5d07eb95e37a8b46257beefc462c97941cb23),
  [`dffc18b17`](https://github.com/chakra-ui/chakra-ui/commit/dffc18b1739ad148922fe98e4335457b298c8862),
  [`8eb793159`](https://github.com/chakra-ui/chakra-ui/commit/8eb793159fa5f3603db7c385ab1e8c23b67ddbfe),
  [`99af1e29f`](https://github.com/chakra-ui/chakra-ui/commit/99af1e29fa7b8c8b0bee217227d05f695a0acb47),
  [`04ff824ac`](https://github.com/chakra-ui/chakra-ui/commit/04ff824ac2f69aaa82d08bf2905ad4667327db12),
  [`99af1e29f`](https://github.com/chakra-ui/chakra-ui/commit/99af1e29fa7b8c8b0bee217227d05f695a0acb47)]:
  - @chakra-ui/theme@2.1.6
  - @chakra-ui/utils@2.0.7
  - @chakra-ui/alert@2.0.7
  - @chakra-ui/hooks@2.0.7
  - @chakra-ui/system@2.2.5
  - @chakra-ui/close-button@2.0.7
  - @chakra-ui/portal@2.0.7
  - @chakra-ui/react-utils@2.0.4
  - @chakra-ui/transition@2.0.7

## 3.0.4

### Patch Changes

- Force new release

- Updated dependencies []:
  - @chakra-ui/alert@2.0.6
  - @chakra-ui/close-button@2.0.6
  - @chakra-ui/hooks@2.0.6
  - @chakra-ui/portal@2.0.6
  - @chakra-ui/react-utils@2.0.3
  - @chakra-ui/system@2.2.4
  - @chakra-ui/theme@2.1.5
  - @chakra-ui/transition@2.0.6
  - @chakra-ui/utils@2.0.6

## 3.0.3

### Patch Changes

- [#6356](https://github.com/chakra-ui/chakra-ui/pull/6356)
  [`1839e22eb`](https://github.com/chakra-ui/chakra-ui/commit/1839e22ebad1c2a52795eac5fd0b3eb38ae03f9c)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - - Force release due
  to change in build configuration
  - Update package `main` and `module` entries
- Updated dependencies
  [[`b67d24d0c`](https://github.com/chakra-ui/chakra-ui/commit/b67d24d0c6d166dfebd74c5a7fd832ddd91a9c69),
  [`1839e22eb`](https://github.com/chakra-ui/chakra-ui/commit/1839e22ebad1c2a52795eac5fd0b3eb38ae03f9c)]:
  - @chakra-ui/theme@2.1.4
  - @chakra-ui/alert@2.0.5
  - @chakra-ui/close-button@2.0.5
  - @chakra-ui/hooks@2.0.5
  - @chakra-ui/portal@2.0.5
  - @chakra-ui/react-utils@2.0.2
  - @chakra-ui/system@2.2.3
  - @chakra-ui/transition@2.0.5
  - @chakra-ui/utils@2.0.5

## 3.0.2

### Patch Changes

- Updated dependencies
  [[`46b495455`](https://github.com/chakra-ui/chakra-ui/commit/46b495455fc416b166db18f5098ede7752b2e3ba),
  [`c11743b47`](https://github.com/chakra-ui/chakra-ui/commit/c11743b47f38f8f38a21b120add3a9cf765b81ee)]:
  - @chakra-ui/portal@2.0.4
  - @chakra-ui/utils@2.0.4
  - @chakra-ui/system@2.2.2
  - @chakra-ui/alert@2.0.4
  - @chakra-ui/close-button@2.0.4
  - @chakra-ui/hooks@2.0.4
  - @chakra-ui/theme@2.1.3
  - @chakra-ui/transition@2.0.4

## 3.0.1

### Patch Changes

- Updated dependencies
  [[`8bfeefbb5`](https://github.com/chakra-ui/chakra-ui/commit/8bfeefbb562fc5ada4757309db6b951c421342ad),
  [`36ef37d58`](https://github.com/chakra-ui/chakra-ui/commit/36ef37d58220dffc4b8e35c31fdcc57042e9a859),
  [`b6aa32a4b`](https://github.com/chakra-ui/chakra-ui/commit/b6aa32a4b4af82e42d98a9afa427174ab4cb4ab7),
  [`be7a20f15`](https://github.com/chakra-ui/chakra-ui/commit/be7a20f155e571a24cb99f28a5b9a60fa3b80a61),
  [`3d8e095df`](https://github.com/chakra-ui/chakra-ui/commit/3d8e095dfc696b3d903455319231e77d1c21d875),
  [`6c15ec2c2`](https://github.com/chakra-ui/chakra-ui/commit/6c15ec2c2a32a36ecc2d169308379a6825619543)]:
  - @chakra-ui/alert@2.0.3
  - @chakra-ui/utils@2.0.3
  - @chakra-ui/transition@2.0.3
  - @chakra-ui/theme@2.1.2
  - @chakra-ui/portal@2.0.3
  - @chakra-ui/close-button@2.0.3
  - @chakra-ui/hooks@2.0.3
  - @chakra-ui/system@2.2.1

## 3.0.0

### Patch Changes

- [#6196](https://github.com/chakra-ui/chakra-ui/pull/6196)
  [`370f2db01`](https://github.com/chakra-ui/chakra-ui/commit/370f2db0116206373f02756ac4b4b1f3b9cf0151)
  Thanks [@gausie](https://github.com/gausie)! - Move `@chakra-ui/system` to
  peer dependency

- Updated dependencies
  [[`104eead49`](https://github.com/chakra-ui/chakra-ui/commit/104eead495b2d5997beeb2bb797f4bc1d562f59e),
  [`612529653`](https://github.com/chakra-ui/chakra-ui/commit/61252965371f1abc5bc6680c14bbd08f97667ea9)]:
  - @chakra-ui/system@2.2.0
  - @chakra-ui/theme@2.1.1

## 2.1.0

### Minor Changes

- [#6159](https://github.com/chakra-ui/chakra-ui/pull/6159)
  [`54acea27b`](https://github.com/chakra-ui/chakra-ui/commit/54acea27baf8a8ac4a9f5346d95fe6aecda92f74)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - - Add support for
  `portalProps` in toast provider. When using with the `ChakraProvider`, this
  can be configure in the `toastOptions`

### Patch Changes

- Updated dependencies
  [[`f9a84d637`](https://github.com/chakra-ui/chakra-ui/commit/f9a84d6370f0f460f491c36c53077c2087eb7580)]:
  - @chakra-ui/system@2.1.3

## 2.0.6

### Patch Changes

- [`06f29f8cd`](https://github.com/chakra-ui/chakra-ui/commit/06f29f8cdbb10ff1da523e0d0e958b9990d041e1)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Bump all packages
  to resolve deps issues

- Updated dependencies
  [[`bcbfcbcce`](https://github.com/chakra-ui/chakra-ui/commit/bcbfcbcceebe6749d0e8fe6ebddb566121fdff25),
  [`06f29f8cd`](https://github.com/chakra-ui/chakra-ui/commit/06f29f8cdbb10ff1da523e0d0e958b9990d041e1),
  [`7de782f04`](https://github.com/chakra-ui/chakra-ui/commit/7de782f0485656a6d10099339da509084cb3ee88)]:
  - @chakra-ui/theme@2.1.0
  - @chakra-ui/alert@2.0.2
  - @chakra-ui/close-button@2.0.2
  - @chakra-ui/hooks@2.0.2
  - @chakra-ui/portal@2.0.2
  - @chakra-ui/react-utils@2.0.1
  - @chakra-ui/system@2.1.2
  - @chakra-ui/transition@2.0.2
  - @chakra-ui/utils@2.0.2

## 2.0.5

### Patch Changes

- [#6097](https://github.com/chakra-ui/chakra-ui/pull/6097)
  [`5dd3c8534`](https://github.com/chakra-ui/chakra-ui/commit/5dd3c85345872f789cf82009167b69896f789731)
  Thanks [@itkrt2y](https://github.com/itkrt2y)! - Fix SSR errors with toast and
  `use-sync-external-store` due to lack of `getServerSnapshot`

## 2.0.4

### Patch Changes

- [#6091](https://github.com/chakra-ui/chakra-ui/pull/6091)
  [`e3341bc7d`](https://github.com/chakra-ui/chakra-ui/commit/e3341bc7d0644bd437a41e8c352786f5930e4d12)
  Thanks [@itkrt2y](https://github.com/itkrt2y)! - Refactor toast internal
  architecture to fix issues with toast instance methods and
  `createStandaloneToast`
- Updated dependencies
  [[`f77e3c98f`](https://github.com/chakra-ui/chakra-ui/commit/f77e3c98f72fa17353e9fdad4c51810e83d9cb1c),
  [`703ff594f`](https://github.com/chakra-ui/chakra-ui/commit/703ff594f826207a7b3d37663caaad365212b23e),
  [`695c528c9`](https://github.com/chakra-ui/chakra-ui/commit/695c528c91d403667055e4fb7aeeb2f05cbb4d1f),
  [`7e05d36cf`](https://github.com/chakra-ui/chakra-ui/commit/7e05d36cf1c65142e035d43142488792911f8a7f),
  [`f77e3c98f`](https://github.com/chakra-ui/chakra-ui/commit/f77e3c98f72fa17353e9fdad4c51810e83d9cb1c)]:
  - @chakra-ui/utils@2.0.1
  - @chakra-ui/alert@2.0.1
  - @chakra-ui/portal@2.0.1
  - @chakra-ui/transition@2.0.1
  - @chakra-ui/theme@2.0.3
  - @chakra-ui/system@2.1.1
  - @chakra-ui/close-button@2.0.1
  - @chakra-ui/hooks@2.0.1

## 2.0.3

### Patch Changes

- [#6051](https://github.com/chakra-ui/chakra-ui/pull/6051)
  [`1cea9022b`](https://github.com/chakra-ui/chakra-ui/commit/1cea9022bede29a4b9c27b76e73fea8a670bf70c)
  Thanks [@itkrt2y](https://github.com/itkrt2y)! - Fix regression with the
  default toast position. It now defaults to `bottom` as described in docs

- Updated dependencies
  [[`3319eca8b`](https://github.com/chakra-ui/chakra-ui/commit/3319eca8bf02b892ea345a68294110919e2963cb),
  [`ddea8d143`](https://github.com/chakra-ui/chakra-ui/commit/ddea8d143e76c0e4758e6ea4b4d881f88b34452d),
  [`c93f5c90b`](https://github.com/chakra-ui/chakra-ui/commit/c93f5c90b0784584a8aef54fd912afa52f549016)]:
  - @chakra-ui/theme@2.0.2
  - @chakra-ui/system@2.1.0

## 2.0.2

### Patch Changes

- Updated dependencies []:
  - @chakra-ui/system@2.0.2

## 2.0.1

### Patch Changes

- [#6037](https://github.com/chakra-ui/chakra-ui/pull/6037)
  [`3996f46d1`](https://github.com/chakra-ui/chakra-ui/commit/3996f46d1b6e3b4997542e6d3367387ed73d3f8d)
  Thanks [@TylerAPfledderer](https://github.com/TylerAPfledderer)! - Revert
  toast's default variant to `solid`

- Updated dependencies
  [[`a9099c106`](https://github.com/chakra-ui/chakra-ui/commit/a9099c106edf0364d36feedfc066c5523cb7c7c8)]:
  - @chakra-ui/theme@2.0.1
  - @chakra-ui/system@2.0.1

## 2.0.0

### Major Changes

- [#5879](https://github.com/chakra-ui/chakra-ui/pull/5879)
  [`c390af485`](https://github.com/chakra-ui/chakra-ui/commit/c390af4859bcbcf12c982c677492cd6d4960889f)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bump all packages
  to next major for Chakra UI version 2.

* [#5989](https://github.com/chakra-ui/chakra-ui/pull/5989)
  [`ed692c0ae`](https://github.com/chakra-ui/chakra-ui/commit/ed692c0ae670bcac92b3da50d141afc6e233dee7)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Omit `src`
  directory from being published to npm

- [#5797](https://github.com/chakra-ui/chakra-ui/pull/5797)
  [`c7a1a53ac`](https://github.com/chakra-ui/chakra-ui/commit/c7a1a53ace53020e23c1b92d48ff16d8d8e95709)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - > Please note:
  There are **no breaking changes** to the hook `useToast`. There

  > are only breaking changes to `createStandaloneToast`.

  ### Breaking changes to `createStandaloneToast`

  Chakra UI v1 rendered the toast container DOM element for you. In v2 you need
  to render the `ToastContainer` in your application code. This allows you have
  only one React root in your application.

  #### @chakra-ui/react v1

  ```ts
  import { createStandaloneToast } from "@chakra-ui/toast"

  const toast = createStandaloneToast()
  toast({ title: "Chakra UI" })
  ```

  #### @chakra-ui/react v2

  ```tsx
  import * as ReactDOM from "react-dom/client"
  import { createStandaloneToast } from "@chakra-ui/toast"

  const { ToastContainer, toast } = createStandaloneToast()

  // render the ToastContainer in your React root
  const rootElement = document.getElementById("root")
  ReactDOM.createRoot(yourRootElement).render(
    <>
      <App />
      <ToastContainer />
    </>,
  )

  toast({ title: "Chakra UI" })
  ```

* [#5882](https://github.com/chakra-ui/chakra-ui/pull/5882)
  [`41b3119f5`](https://github.com/chakra-ui/chakra-ui/commit/41b3119f59226f7c70942d6fd0f46480f9bcf196)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bump peer
  dependency to React and ReactDOM to >=18

### Minor Changes

- [#5951](https://github.com/chakra-ui/chakra-ui/pull/5951)
  [`407dde8f5`](https://github.com/chakra-ui/chakra-ui/commit/407dde8f5ba3d09e160d411fdad05def0f537ef5)
  Thanks [@haneenmahd](https://github.com/haneenmahd)! - Added support for
  custom icons in a toast:

  ```tsx
  const toast = useToast()
  return (
    <Button
      onClick={() => {
        toast({
          title: "Message me",
          icon: "💬",
        })
      }}
    >
      Show Toast with custom icon
    </Button>
  )
  ```

### Patch Changes

- [#5850](https://github.com/chakra-ui/chakra-ui/pull/5850)
  [`1f62d9a65`](https://github.com/chakra-ui/chakra-ui/commit/1f62d9a658f0179e60524f13a21543194f034fe5)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Removed dependency
  to @reach-ui/alert

* [#5873](https://github.com/chakra-ui/chakra-ui/pull/5873)
  [`3285faddf`](https://github.com/chakra-ui/chakra-ui/commit/3285faddf3019c6951f3823bf38951fbb8accb9e)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Added memoization
  to the toast function from `useToast`

* Updated dependencies
  [[`c81db13ce`](https://github.com/chakra-ui/chakra-ui/commit/c81db13cef3db40b54822169faeb2568f1c2aa73),
  [`c390af485`](https://github.com/chakra-ui/chakra-ui/commit/c390af4859bcbcf12c982c677492cd6d4960889f),
  [`ed692c0ae`](https://github.com/chakra-ui/chakra-ui/commit/ed692c0ae670bcac92b3da50d141afc6e233dee7),
  [`3e6ac56be`](https://github.com/chakra-ui/chakra-ui/commit/3e6ac56be82a6117e4dee484be0956e35fc58ed1),
  [`1a47fd27e`](https://github.com/chakra-ui/chakra-ui/commit/1a47fd27e6e37ff5d149e0469888eed0ec306632),
  [`8991ac13e`](https://github.com/chakra-ui/chakra-ui/commit/8991ac13e5ec71cc1fbd09610981913b7efe9798),
  [`ef6a22549`](https://github.com/chakra-ui/chakra-ui/commit/ef6a22549ef93093602ca2913fa6defe6f617df0),
  [`41b3119f5`](https://github.com/chakra-ui/chakra-ui/commit/41b3119f59226f7c70942d6fd0f46480f9bcf196),
  [`d32aea176`](https://github.com/chakra-ui/chakra-ui/commit/d32aea176b66b4d5206df10530c011f8eaa2e42d)]:
  - @chakra-ui/alert@2.0.0
  - @chakra-ui/close-button@2.0.0
  - @chakra-ui/hooks@2.0.0
  - @chakra-ui/portal@2.0.0
  - @chakra-ui/react-utils@2.0.0
  - @chakra-ui/system@2.0.0
  - @chakra-ui/theme@2.0.0
  - @chakra-ui/transition@2.0.0
  - @chakra-ui/utils@2.0.0

## 2.0.0-next.5

### Major Changes

- [#5989](https://github.com/chakra-ui/chakra-ui/pull/5989)
  [`ed692c0ae`](https://github.com/chakra-ui/chakra-ui/commit/ed692c0ae670bcac92b3da50d141afc6e233dee7)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Omit `src`
  directory from being published to npm

### Patch Changes

- Updated dependencies
  [[`ed692c0ae`](https://github.com/chakra-ui/chakra-ui/commit/ed692c0ae670bcac92b3da50d141afc6e233dee7)]:
  - @chakra-ui/alert@2.0.0-next.3
  - @chakra-ui/close-button@2.0.0-next.2
  - @chakra-ui/hooks@2.0.0-next.3
  - @chakra-ui/portal@2.0.0-next.3
  - @chakra-ui/react-utils@2.0.0-next.2
  - @chakra-ui/system@2.0.0-next.4
  - @chakra-ui/theme@2.0.0-next.2
  - @chakra-ui/transition@2.0.0-next.2
  - @chakra-ui/utils@2.0.0-next.2

## 2.0.0-next.4

### Patch Changes

- Updated dependencies []:
  - @chakra-ui/system@2.0.0-next.3

## 2.0.0-next.3

### Minor Changes

- [#5951](https://github.com/chakra-ui/chakra-ui/pull/5951)
  [`407dde8f5`](https://github.com/chakra-ui/chakra-ui/commit/407dde8f5ba3d09e160d411fdad05def0f537ef5)
  Thanks [@haneenmahd](https://github.com/haneenmahd)! - Added support for
  custom icons in a toast:

  ```tsx
  const toast = useToast()
  return (
    <Button
      onClick={() => {
        toast({
          title: "Message me",
          icon: "💬",
        })
      }}
    >
      Show Toast with custom icon
    </Button>
  )
  ```

### Patch Changes

- Updated dependencies
  [[`c81db13ce`](https://github.com/chakra-ui/chakra-ui/commit/c81db13cef3db40b54822169faeb2568f1c2aa73),
  [`8991ac13e`](https://github.com/chakra-ui/chakra-ui/commit/8991ac13e5ec71cc1fbd09610981913b7efe9798),
  [`d32aea176`](https://github.com/chakra-ui/chakra-ui/commit/d32aea176b66b4d5206df10530c011f8eaa2e42d)]:
  - @chakra-ui/alert@2.0.0-next.2
  - @chakra-ui/hooks@2.0.0-next.2
  - @chakra-ui/portal@2.0.0-next.2
  - @chakra-ui/system@2.0.0-next.2

## 2.0.0-next.2

### Major Changes

- [#5882](https://github.com/chakra-ui/chakra-ui/pull/5882)
  [`41b3119f5`](https://github.com/chakra-ui/chakra-ui/commit/41b3119f59226f7c70942d6fd0f46480f9bcf196)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bump peer
  depencency to React and ReactDOM to >=18

### Patch Changes

- Updated dependencies
  [[`3e6ac56be`](https://github.com/chakra-ui/chakra-ui/commit/3e6ac56be82a6117e4dee484be0956e35fc58ed1),
  [`ef6a22549`](https://github.com/chakra-ui/chakra-ui/commit/ef6a22549ef93093602ca2913fa6defe6f617df0),
  [`41b3119f5`](https://github.com/chakra-ui/chakra-ui/commit/41b3119f59226f7c70942d6fd0f46480f9bcf196)]:
  - @chakra-ui/theme@2.0.0-next.1
  - @chakra-ui/alert@2.0.0-next.1
  - @chakra-ui/close-button@2.0.0-next.1
  - @chakra-ui/hooks@2.0.0-next.1
  - @chakra-ui/portal@2.0.0-next.1
  - @chakra-ui/react-utils@2.0.0-next.1
  - @chakra-ui/system@2.0.0-next.1
  - @chakra-ui/transition@2.0.0-next.1
  - @chakra-ui/utils@2.0.0-next.1

## 2.0.0-next.1

### Major Changes

- [#5879](https://github.com/chakra-ui/chakra-ui/pull/5879)
  [`c390af485`](https://github.com/chakra-ui/chakra-ui/commit/c390af4859bcbcf12c982c677492cd6d4960889f)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bump all packages
  to next major for Chakra UI version 2.

### Patch Changes

- [#5850](https://github.com/chakra-ui/chakra-ui/pull/5850)
  [`1f62d9a65`](https://github.com/chakra-ui/chakra-ui/commit/1f62d9a658f0179e60524f13a21543194f034fe5)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Removed dependency
  to @reach-ui/alert

* [#5873](https://github.com/chakra-ui/chakra-ui/pull/5873)
  [`3285faddf`](https://github.com/chakra-ui/chakra-ui/commit/3285faddf3019c6951f3823bf38951fbb8accb9e)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Added memoization
  to the toast function from `useToast`

* Updated dependencies
  [[`c390af485`](https://github.com/chakra-ui/chakra-ui/commit/c390af4859bcbcf12c982c677492cd6d4960889f),
  [`1a47fd27e`](https://github.com/chakra-ui/chakra-ui/commit/1a47fd27e6e37ff5d149e0469888eed0ec306632)]:
  - @chakra-ui/alert@2.0.0-next.0
  - @chakra-ui/close-button@2.0.0-next.0
  - @chakra-ui/hooks@2.0.0-next.0
  - @chakra-ui/portal@2.0.0-next.0
  - @chakra-ui/react-utils@2.0.0-next.0
  - @chakra-ui/system@2.0.0-next.0
  - @chakra-ui/theme@2.0.0-next.0
  - @chakra-ui/transition@2.0.0-next.0
  - @chakra-ui/utils@2.0.0-next.0

## 2.0.0-next.0

### Major Changes

- [#5797](https://github.com/chakra-ui/chakra-ui/pull/5797)
  [`c7a1a53ac`](https://github.com/chakra-ui/chakra-ui/commit/c7a1a53ace53020e23c1b92d48ff16d8d8e95709)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Add support for
  React 18.

  > Please note: There are **no breaking changes** to the hook `useToast`. There
  > are only breaking changes to `createStandaloneToast`.

  ### Breaking changes to `createStandaloneToast`

  With React <17 Chakra UI was able to render the toast container DOM element
  for you. To allow Chakra UI to support all React versions >=16.8 you need to
  render the DOM element in your application code.

  #### before

  ```ts
  import { createStandaloneToast } from "@chakra-ui/toast"

  const toast = createStandaloneToast()
  toast({ title: "Chakra UI" })
  ```

  #### with React 17

  ```tsx
  import { createStandaloneToast } from "@chakra-ui/toast"
  import * as ReactDOM from "react-dom"

  const toastContainerElement = document.createElement("div")
  window.document.body.append(toastContainerElement)

  const { ToastContainer, toast } = createStandaloneToast()
  ReactDOM.render(<ToastContainer />, toastContainerElement)

  toast({ title: "Chakra UI" })
  ```

  #### with React 18

  ```tsx
  import { createStandaloneToast } from "@chakra-ui/toast"
  import * as ReactDOM from "react-dom/client"

  const toastContainerElement = document.createElement("div")
  window.document.body.append(toastContainerElement)

  const { ToastContainer, toast } = createStandaloneToast()
  const root = ReactDOM.createRoot(toastContainerElement)
  root.render(<ToastContainer />)

  toast({ title: "Chakra UI" })
  ```

## 1.5.9

### Patch Changes

- Updated dependencies
  [[`a3b04dc1a`](https://github.com/chakra-ui/chakra-ui/commit/a3b04dc1ae49ad0d804bddc17fdca3afa218665c),
  [`b19c89270`](https://github.com/chakra-ui/chakra-ui/commit/b19c892702f029c078f8d5bfaf0f89b573c6cd90),
  [`aaadcd0ed`](https://github.com/chakra-ui/chakra-ui/commit/aaadcd0ed9388417b0b647d75055ede0613d3495)]:
  - @chakra-ui/hooks@1.9.1
  - @chakra-ui/theme@1.14.1
  - @chakra-ui/transition@1.4.8

## 1.5.8

### Patch Changes

- [#5697](https://github.com/chakra-ui/chakra-ui/pull/5697)
  [`9a58c7ab8`](https://github.com/chakra-ui/chakra-ui/commit/9a58c7ab82f334d63dc1d0f528204d1dd172711c)
  Thanks [@takethefake](https://github.com/takethefake)! - use default options
  as well when providing options to useToast

- Updated dependencies
  [[`73a06ae8c`](https://github.com/chakra-ui/chakra-ui/commit/73a06ae8ce1bee644e10f245edcf2f9f2b773964)]:
  - @chakra-ui/hooks@1.9.0

## 1.5.7

### Patch Changes

- Updated dependencies
  [[`fbe946223`](https://github.com/chakra-ui/chakra-ui/commit/fbe94622357e22acaf8bab0eae33ceae663d7a5b),
  [`5cd5cff35`](https://github.com/chakra-ui/chakra-ui/commit/5cd5cff35e4837539d83a2157a07585d461b0aac)]:
  - @chakra-ui/theme@1.14.0
  - @chakra-ui/hooks@1.8.5

## 1.5.6

### Patch Changes

- [`e1fe48cbe`](https://github.com/chakra-ui/chakra-ui/commit/e1fe48cbe37324744cfe6184d785c093cda1125e)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bumped patch
  version for every package to fix release process. Root cause was a bug in our
  CI configuration.
- Updated dependencies
  [[`e1fe48cbe`](https://github.com/chakra-ui/chakra-ui/commit/e1fe48cbe37324744cfe6184d785c093cda1125e)]:
  - @chakra-ui/alert@1.3.7
  - @chakra-ui/close-button@1.2.7
  - @chakra-ui/hooks@1.8.4
  - @chakra-ui/theme@1.13.4
  - @chakra-ui/transition@1.4.7
  - @chakra-ui/utils@1.10.4

## 1.5.5

### Patch Changes

- Updated dependencies
  [[`a870e6b94`](https://github.com/chakra-ui/chakra-ui/commit/a870e6b94367b7c6448d5c5c5aa8577e33e15e3a),
  [`0542b8a53`](https://github.com/chakra-ui/chakra-ui/commit/0542b8a53425093f18fd86d2b55220d3fa20253a)]:
  - @chakra-ui/utils@1.10.3
  - @chakra-ui/theme@1.13.3
  - @chakra-ui/alert@1.3.6
  - @chakra-ui/close-button@1.2.6
  - @chakra-ui/hooks@1.8.3
  - @chakra-ui/transition@1.4.6

## 1.5.4

### Patch Changes

- [#5536](https://github.com/chakra-ui/chakra-ui/pull/5536)
  [`a503acabe`](https://github.com/chakra-ui/chakra-ui/commit/a503acabefcaea86cb7f40a6305830f09d2d6083)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bumped patch
  version for every package to fix release process.

- Updated dependencies
  [[`a503acabe`](https://github.com/chakra-ui/chakra-ui/commit/a503acabefcaea86cb7f40a6305830f09d2d6083)]:
  - @chakra-ui/alert@1.3.5
  - @chakra-ui/close-button@1.2.5
  - @chakra-ui/hooks@1.8.2
  - @chakra-ui/theme@1.13.2
  - @chakra-ui/transition@1.4.5
  - @chakra-ui/utils@1.10.2

## 1.5.3

### Patch Changes

- [#5499](https://github.com/chakra-ui/chakra-ui/pull/5499)
  [`f1d024749`](https://github.com/chakra-ui/chakra-ui/commit/f1d02474983dc8277e767dc729abc3cbb02cfe10)
  Thanks [@noobinthisgame](https://github.com/noobinthisgame)! - allow framer
  motion v6 as peer dependency

* [#5493](https://github.com/chakra-ui/chakra-ui/pull/5493)
  [`6d2affcdd`](https://github.com/chakra-ui/chakra-ui/commit/6d2affcdd390fe013eff684569573200b97e9e88)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Fixed an issue
  where the `useToast` function returned a new object on every render.
* Updated dependencies
  [[`f1d024749`](https://github.com/chakra-ui/chakra-ui/commit/f1d02474983dc8277e767dc729abc3cbb02cfe10),
  [`24b4333d0`](https://github.com/chakra-ui/chakra-ui/commit/24b4333d008d149380785f87f4891e28584ff89b)]:
  - @chakra-ui/transition@1.4.4
  - @chakra-ui/utils@1.10.1
  - @chakra-ui/theme@1.13.1
  - @chakra-ui/alert@1.3.4
  - @chakra-ui/close-button@1.2.4
  - @chakra-ui/hooks@1.8.1

## 1.5.2

### Patch Changes

- Updated dependencies
  [[`1537a725f`](https://github.com/chakra-ui/chakra-ui/commit/1537a725fbc7f84979e374f546bda625fc685ac3),
  [`cbad002e7`](https://github.com/chakra-ui/chakra-ui/commit/cbad002e7bdb439a0dfeada82ebfb5b529e145fe),
  [`6e259a1f7`](https://github.com/chakra-ui/chakra-ui/commit/6e259a1f7008a00f7be096e6b315cb9d62ef9748),
  [`c393dd268`](https://github.com/chakra-ui/chakra-ui/commit/c393dd26808a06a8a6bd19839f4b2f1995157315),
  [`1537a725f`](https://github.com/chakra-ui/chakra-ui/commit/1537a725fbc7f84979e374f546bda625fc685ac3),
  [`a5f3bfce8`](https://github.com/chakra-ui/chakra-ui/commit/a5f3bfce846b44c9a4bdcd0bb80c17eb38da75a7)]:
  - @chakra-ui/theme@1.13.0
  - @chakra-ui/hooks@1.8.0
  - @chakra-ui/utils@1.10.0
  - @chakra-ui/alert@1.3.3
  - @chakra-ui/close-button@1.2.3
  - @chakra-ui/transition@1.4.3

## 1.5.1

### Patch Changes

- Updated dependencies
  [[`801008e27`](https://github.com/chakra-ui/chakra-ui/commit/801008e276812a6f94f2f5dc634bcbfe01d23026),
  [`3199b7242`](https://github.com/chakra-ui/chakra-ui/commit/3199b724237c56dc3a9c25811a88b2bea1b36ce9),
  [`8a0e5bdbc`](https://github.com/chakra-ui/chakra-ui/commit/8a0e5bdbccb7fa10dd4cd7b909ca60991fce81a0),
  [`eb5850687`](https://github.com/chakra-ui/chakra-ui/commit/eb5850687e0984d95c3dd06e57716188c69cae42)]:
  - @chakra-ui/hooks@1.7.2
  - @chakra-ui/theme@1.12.3

## 1.5.0

### Minor Changes

- [#4922](https://github.com/chakra-ui/chakra-ui/pull/4922)
  [`98b9fbecb`](https://github.com/chakra-ui/chakra-ui/commit/98b9fbecb20118553e92009b84a887ffdb35ba28)
  Thanks [@karrui](https://github.com/karrui)! - The `toast` function now
  exposes a `containerStyle` property you can use to override the default styles
  for the toast container.

  ```jsx live=false
  function Example() {
    // Via instantiation
    const toast = useToast({
      position: "top",
      title: "Container style is customizable",
      containerStyle: {
        maxWidth: "100%",
      },
    })

    // Or via trigger
    return (
      <Button
        onClick={() => {
          toast({
            containerStyle: {
              maxWidth: "100%",
            },
          })
        }}
      >
        Click me to show toast with custom container style.
      </Button>
    )
  }
  ```

### Patch Changes

- [`b4decca9a`](https://github.com/chakra-ui/chakra-ui/commit/b4decca9afb62c4e353a6a9329d2afd279906fa6)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Fix TS issue with
  toast placement utility

- Updated dependencies
  [[`f15099adc`](https://github.com/chakra-ui/chakra-ui/commit/f15099adc60150781607288dbe12133c2fb84e38),
  [`39846457e`](https://github.com/chakra-ui/chakra-ui/commit/39846457e241e6af3d18c77cdc0ba02857fe7462)]:
  - @chakra-ui/theme@1.12.2
  - @chakra-ui/transition@1.4.2
  - @chakra-ui/alert@1.3.2
  - @chakra-ui/close-button@1.2.2

## 1.4.1

### Patch Changes

- [#5075](https://github.com/chakra-ui/chakra-ui/pull/5075)
  [`b28142946`](https://github.com/chakra-ui/chakra-ui/commit/b281429462a099b7fd7f9352e837cd28d1a2da0e)
  Thanks [@cschroeter](https://github.com/cschroeter)! - Update babel config to
  transpile soruces for older browsers. This fixes issues with CRA and
  Storybook.
- Updated dependencies
  [[`b28142946`](https://github.com/chakra-ui/chakra-ui/commit/b281429462a099b7fd7f9352e837cd28d1a2da0e)]:
  - @chakra-ui/alert@1.3.1
  - @chakra-ui/close-button@1.2.1
  - @chakra-ui/hooks@1.7.1
  - @chakra-ui/theme@1.12.1
  - @chakra-ui/transition@1.4.1
  - @chakra-ui/utils@1.9.1

## 1.4.0

### Minor Changes

- [#4991](https://github.com/chakra-ui/chakra-ui/pull/4991)
  [`6095eaf9a`](https://github.com/chakra-ui/chakra-ui/commit/6095eaf9ac64a7e4d9f934bcb530bae2a92111a6)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Update build system
  we use from a custom babel cli setup to
  [preconstruct](https://preconstruct.tools/).

  The previous build system transpiles the code in `src` directory to `dist/esm`
  and `dist/cjs` keeping the same file structure. The new build system merges
  all files in `src` and transpiles to a single `esm` and `cjs` file.

  **Potential Breaking Change:** The side effect of this is that, if you
  imported any function, component or hook using the **undocumented** approach
  like
  `import { useOutsideClick } from "@chakra-ui/hooks/dist/use-outside-click"`,
  you'll notice that the this doesn't work anymore.

  Here's how to resolve it:

  ```jsx live=false
  // Won't work 🎇
  import { useOutsideClick } from "@chakra-ui/hooks/dist/use-outside-click"

  // Works ✅
  import { useOutsideClick } from "@chakra-ui/hooks"
  ```

  If this affected your project, we recommend that you import hooks, functions
  or components the way it's shown in the documentation. This will help keep
  your project future-proof.

### Patch Changes

- Updated dependencies
  [[`0dd56ab1b`](https://github.com/chakra-ui/chakra-ui/commit/0dd56ab1b1ec3abab20ac6d8449757ad40138f29),
  [`6095eaf9a`](https://github.com/chakra-ui/chakra-ui/commit/6095eaf9ac64a7e4d9f934bcb530bae2a92111a6)]:
  - @chakra-ui/theme@1.12.0
  - @chakra-ui/alert@1.3.0
  - @chakra-ui/close-button@1.2.0
  - @chakra-ui/hooks@1.7.0
  - @chakra-ui/transition@1.4.0
  - @chakra-ui/utils@1.9.0

## 1.3.4

### Patch Changes

- [`04774e219`](https://github.com/chakra-ui/chakra-ui/commit/04774e2196b9f3e8edd77f779e8c15981e8d8135)
  [#4965](https://github.com/chakra-ui/chakra-ui/pull/4965) Thanks
  [@takethefake](https://github.com/takethefake)! - Allow usage of
  `framer-motion` 5.x in `peerDependency`

- Updated dependencies
  [[`04774e219`](https://github.com/chakra-ui/chakra-ui/commit/04774e2196b9f3e8edd77f779e8c15981e8d8135)]:
  - @chakra-ui/theme@1.11.1
  - @chakra-ui/transition@1.3.8

## 1.3.3

### Patch Changes

- Updated dependencies
  [[`e31439c98`](https://github.com/chakra-ui/chakra-ui/commit/e31439c985d71ba0b37197b18a393b0fe5cf79a4),
  [`5fe9b552b`](https://github.com/chakra-ui/chakra-ui/commit/5fe9b552bcae55935d1ab8ffde86b701075e6e6a),
  [`cd0893c56`](https://github.com/chakra-ui/chakra-ui/commit/cd0893c561d8c72b69db7c03d10adae752468a4f)]:
  - @chakra-ui/theme@1.11.0
  - @chakra-ui/hooks@1.6.2
  - @chakra-ui/utils@1.8.4
  - @chakra-ui/alert@1.2.9
  - @chakra-ui/close-button@1.1.13
  - @chakra-ui/transition@1.3.7

## 1.3.2

### Patch Changes

- Updated dependencies
  [[`c06d242c6`](https://github.com/chakra-ui/chakra-ui/commit/c06d242c672a10f93fab4dc2321143beae2db669),
  [`a9d1dc4ac`](https://github.com/chakra-ui/chakra-ui/commit/a9d1dc4ac874825f292d874ad4eadaf060fed436),
  [`5b4d8ef24`](https://github.com/chakra-ui/chakra-ui/commit/5b4d8ef24017dab1d69aeb5016b53366bdb3bcfd)]:
  - @chakra-ui/utils@1.8.3
  - @chakra-ui/hooks@1.6.1
  - @chakra-ui/alert@1.2.8
  - @chakra-ui/close-button@1.1.12
  - @chakra-ui/theme@1.10.4
  - @chakra-ui/transition@1.3.6

## 1.3.1

### Patch Changes

- [`6f99723f8`](https://github.com/chakra-ui/chakra-ui/commit/6f99723f8b2f170978a34bc4da1dc85228ab4512)
  [#4702](https://github.com/chakra-ui/chakra-ui/pull/4702) Thanks
  [@stefee](https://github.com/stefee)! - Allow alerts rendered by useToast and
  createStandaloneToast to be discovered by role and accessible name (e.g. using
  Testing Library [ByRole](https://testing-library.com/docs/queries/byrole/)).
- Updated dependencies
  [[`eafb21e18`](https://github.com/chakra-ui/chakra-ui/commit/eafb21e1883cf40bfe44e143714d9a480a0cc7da),
  [`b769e88f9`](https://github.com/chakra-ui/chakra-ui/commit/b769e88f977a4e2a8641de57beefd8220bc5dffa)]:
  - @chakra-ui/transition@1.3.5
  - @chakra-ui/theme@1.10.3

## 1.3.0

### Minor Changes

- [`347294426`](https://github.com/chakra-ui/chakra-ui/commit/347294426c121a05dfaed92c526b588a38310061)
  [#3837](https://github.com/chakra-ui/chakra-ui/pull/3837) Thanks
  [@mcha-dev](https://github.com/mcha-dev)! - Add support for RTL-aware
  `position` values. You can now use `top-start`, `top-end`, `bottom-start` and
  `bottom-end` values. The toast will flip depending on the `direction` provided
  in the theme.

### Patch Changes

- Updated dependencies
  [[`09577b088`](https://github.com/chakra-ui/chakra-ui/commit/09577b088272075f6f183bbb34d5639ac5e68cc0)]:
  - @chakra-ui/theme@1.10.2

## 1.2.11

### Patch Changes

- [`7b04008b2`](https://github.com/chakra-ui/chakra-ui/commit/7b04008b22bd9c794fae87d53679732526283f20)
  [#4605](https://github.com/chakra-ui/chakra-ui/pull/4605) Thanks
  [@LarsOlt](https://github.com/LarsOlt)! - Add correct variant type to
  `UseToastOptions`

- Updated dependencies
  [[`28af4c030`](https://github.com/chakra-ui/chakra-ui/commit/28af4c0308e234871548c0857e946e33ff18a130),
  [`633df562f`](https://github.com/chakra-ui/chakra-ui/commit/633df562f4ab22ae5406d5a5cda7661171fc8a65)]:
  - @chakra-ui/hooks@1.6.0
  - @chakra-ui/theme@1.10.1

## 1.2.10

### Patch Changes

- Updated dependencies
  [[`4c1071969`](https://github.com/chakra-ui/chakra-ui/commit/4c1071969a9b41a952b374f9990ac0bb89d24fa0),
  [`2d9942d3b`](https://github.com/chakra-ui/chakra-ui/commit/2d9942d3b7221cfe9a74aefa54ec0b6451bd961b),
  [`46d0fb099`](https://github.com/chakra-ui/chakra-ui/commit/46d0fb099f415f7f3556c657ecd05e35ec68a9de),
  [`ff4dc7c38`](https://github.com/chakra-ui/chakra-ui/commit/ff4dc7c38310367c0e89522db9e88ae069cb6c2b),
  [`43f66097b`](https://github.com/chakra-ui/chakra-ui/commit/43f66097b39f1c37a4627dd6ca8a85555f35b95c)]:
  - @chakra-ui/utils@1.8.2
  - @chakra-ui/theme@1.10.0
  - @chakra-ui/alert@1.2.7
  - @chakra-ui/close-button@1.1.11
  - @chakra-ui/hooks@1.5.5
  - @chakra-ui/transition@1.3.4

## 1.2.9

### Patch Changes

- Updated dependencies
  [[`4a1e4d93b`](https://github.com/chakra-ui/chakra-ui/commit/4a1e4d93b0a07df7266d40bb66039385b158d3d1)]:
  - @chakra-ui/utils@1.8.1
  - @chakra-ui/theme@1.9.2
  - @chakra-ui/alert@1.2.6
  - @chakra-ui/close-button@1.1.10
  - @chakra-ui/hooks@1.5.4
  - @chakra-ui/transition@1.3.3

## 1.2.8

### Patch Changes

- [`a66258a01`](https://github.com/chakra-ui/chakra-ui/commit/a66258a01ea4235853ba3f3e1eabed16f7658c53)
  [#3935](https://github.com/chakra-ui/chakra-ui/pull/3935) Thanks
  [@n1ru4l](https://github.com/n1ru4l)! - Resolved an issue where `overflowX`
  couldn't be used within a toast's `title` or `description` by adding
  `maxWidth="100%"` to the containing `div`.

- Updated dependencies
  [[`cbf8bbdf0`](https://github.com/chakra-ui/chakra-ui/commit/cbf8bbdf02eff45a57a28307ec9c3137ce845420),
  [`e8da4c65f`](https://github.com/chakra-ui/chakra-ui/commit/e8da4c65f026f636ea26d11b7aaed63f2babf00d),
  [`aa374ffcb`](https://github.com/chakra-ui/chakra-ui/commit/aa374ffcb4003efd88eb6a62e10723ea9fbfa3d0),
  [`afb9b3cfa`](https://github.com/chakra-ui/chakra-ui/commit/afb9b3cfa87076ed8897b7edd4a9d9f1e1701721)]:
  - @chakra-ui/theme@1.9.1
  - @chakra-ui/transition@1.3.2
  - @chakra-ui/hooks@1.5.3

## 1.2.7

### Patch Changes

- Updated dependencies
  [[`4f1cf6d6b`](https://github.com/chakra-ui/chakra-ui/commit/4f1cf6d6b9de134806c5f24d6b1c49f5aadae9a8),
  [`c1f8d90ad`](https://github.com/chakra-ui/chakra-ui/commit/c1f8d90ad7ebd9594e9888010170cda7969f0ded)]:
  - @chakra-ui/theme@1.9.0
  - @chakra-ui/transition@1.3.1

## 1.2.6

### Patch Changes

- Updated dependencies
  [[`d0f50a46e`](https://github.com/chakra-ui/chakra-ui/commit/d0f50a46ea6c2bcf06d8cad8b9b3994fd934be01),
  [`b199b06e3`](https://github.com/chakra-ui/chakra-ui/commit/b199b06e33924bdf98c9c13868f14172a20d0248),
  [`b479ff22e`](https://github.com/chakra-ui/chakra-ui/commit/b479ff22ea10c1a1393224c37c36aa6ceabc4aab),
  [`07d15eab4`](https://github.com/chakra-ui/chakra-ui/commit/07d15eab480724f8fee1a09b7cecdf1e968d9ddd),
  [`d0f50a46e`](https://github.com/chakra-ui/chakra-ui/commit/d0f50a46ea6c2bcf06d8cad8b9b3994fd934be01)]:
  - @chakra-ui/utils@1.8.0
  - @chakra-ui/transition@1.3.0
  - @chakra-ui/hooks@1.5.2
  - @chakra-ui/alert@1.2.5
  - @chakra-ui/close-button@1.1.9
  - @chakra-ui/theme@1.8.5

## 1.2.5

### Patch Changes

- Updated dependencies
  [[`1d5e55272`](https://github.com/chakra-ui/chakra-ui/commit/1d5e55272fe1475ce6fa0ed5bdccef4218885f77),
  [`e9ac4cc76`](https://github.com/chakra-ui/chakra-ui/commit/e9ac4cc7629cd79efc753b4e3353bacdad46cd7d)]:
  - @chakra-ui/theme@1.8.4
  - @chakra-ui/utils@1.7.0
  - @chakra-ui/alert@1.2.4
  - @chakra-ui/hooks@1.5.1
  - @chakra-ui/close-button@1.1.8
  - @chakra-ui/transition@1.2.2

## 1.2.4

### Patch Changes

- Updated dependencies
  [[`0974e547c`](https://github.com/chakra-ui/chakra-ui/commit/0974e547c29e4efc1ba4d1eb1507d0dad7d7a77a),
  [`59ea894a7`](https://github.com/chakra-ui/chakra-ui/commit/59ea894a7e03d16cd7a1b89d00816eafa9fab65d),
  [`384902e35`](https://github.com/chakra-ui/chakra-ui/commit/384902e35b186c8c8154b9569455c27f72ee0f6f),
  [`9c6be11b1`](https://github.com/chakra-ui/chakra-ui/commit/9c6be11b1d95f8add314dbe214bc7ce3c67b76cd)]:
  - @chakra-ui/utils@1.6.0
  - @chakra-ui/hooks@1.5.0
  - @chakra-ui/theme@1.8.3
  - @chakra-ui/alert@1.2.3
  - @chakra-ui/close-button@1.1.7
  - @chakra-ui/transition@1.2.1

## 1.2.3

### Patch Changes

- [`327f00644`](https://github.com/chakra-ui/chakra-ui/commit/327f00644d3336fe1e2d3152f9cc3474a18824ef)
  [#3765](https://github.com/chakra-ui/chakra-ui/pull/3765) Thanks
  [@segunadebayo](https://github.com/segunadebayo)! - Fix RTL styles for toast
  component

- Updated dependencies
  [[`8b5eb9654`](https://github.com/chakra-ui/chakra-ui/commit/8b5eb9654affe562795d38a19f732f84732a949d),
  [`5617aabea`](https://github.com/chakra-ui/chakra-ui/commit/5617aabeaa6c3faef37deeebeddbc9bf3cc88088),
  [`753b56d63`](https://github.com/chakra-ui/chakra-ui/commit/753b56d6366276f217d28131c17c41427ae7761c),
  [`d1532f0b7`](https://github.com/chakra-ui/chakra-ui/commit/d1532f0b72c36d0609ee4510613d7c76f4f9c113),
  [`890839d9f`](https://github.com/chakra-ui/chakra-ui/commit/890839d9fe32d5ec90954c8f4c5b6c463ff0b57d)]:
  - @chakra-ui/utils@1.5.2
  - @chakra-ui/transition@1.2.0
  - @chakra-ui/theme@1.8.2
  - @chakra-ui/hooks@1.4.0
  - @chakra-ui/alert@1.2.2
  - @chakra-ui/close-button@1.1.6

## 1.2.2

### Patch Changes

- [`799f3c803`](https://github.com/chakra-ui/chakra-ui/commit/799f3c8037121b10aa4de15f5e9672b2b43a6a73)
  [#3752](https://github.com/chakra-ui/chakra-ui/pull/3752) Thanks
  [@baptisteArno](https://github.com/baptisteArno)! - Take into account safe
  area insets for Toasts

- Updated dependencies
  [[`1a04a41bd`](https://github.com/chakra-ui/chakra-ui/commit/1a04a41bd2285069011a738fff422ba1a6fcce94),
  [`c69d2b983`](https://github.com/chakra-ui/chakra-ui/commit/c69d2b98350b57f133d6a8ea47b631cd25693aee),
  [`75817ec42`](https://github.com/chakra-ui/chakra-ui/commit/75817ec428ca3c078660a7c7f2a1c1b578c474df),
  [`e481ba491`](https://github.com/chakra-ui/chakra-ui/commit/e481ba4914a7f163d93d4c22e2e457f1afb08721)]:
  - @chakra-ui/utils@1.5.1
  - @chakra-ui/transition@1.1.2
  - @chakra-ui/theme@1.8.1
  - @chakra-ui/alert@1.2.1
  - @chakra-ui/hooks@1.3.1
  - @chakra-ui/close-button@1.1.5

## 1.2.1

### Patch Changes

- [`bb5b004ef`](https://github.com/chakra-ui/chakra-ui/commit/bb5b004ef2498d6641e38713868c3e5ed1d8789f)
  [#3650](https://github.com/chakra-ui/chakra-ui/pull/3650) Thanks
  [@gmathieu](https://github.com/gmathieu)! - Bump `@reach/alert` to fix yarn
  pnp issue

- Updated dependencies
  [[`623e782e8`](https://github.com/chakra-ui/chakra-ui/commit/623e782e80124297740a109e5c6c58cddc35b2eb),
  [`aba02eab1`](https://github.com/chakra-ui/chakra-ui/commit/aba02eab1b38ab6c4ea6ae170740a10f8f9f16b7),
  [`a58b724e9`](https://github.com/chakra-ui/chakra-ui/commit/a58b724e9c8656044f866b658f378662f2a44b46),
  [`b724a9dd9`](https://github.com/chakra-ui/chakra-ui/commit/b724a9dd9429d02c0b2c7f7deac66d3553100bdc)]:
  - @chakra-ui/hooks@1.3.0
  - @chakra-ui/theme@1.8.0
  - @chakra-ui/utils@1.5.0
  - @chakra-ui/alert@1.2.0
  - @chakra-ui/transition@1.1.1
  - @chakra-ui/close-button@1.1.4

## 1.2.0

### Minor Changes

- [`64e8466b5`](https://github.com/chakra-ui/chakra-ui/commit/64e8466b528a027c915b7d2d5f474b08a0800e92)
  [#3623](https://github.com/chakra-ui/chakra-ui/pull/3623) Thanks
  [@with-heart](https://github.com/with-heart)! - Added support for
  `framer-motion` v4

### Patch Changes

- Updated dependencies
  [[`64e8466b5`](https://github.com/chakra-ui/chakra-ui/commit/64e8466b528a027c915b7d2d5f474b08a0800e92),
  [`e748219f3`](https://github.com/chakra-ui/chakra-ui/commit/e748219f300f0c51b0eb304fce38b014d7bcbc86),
  [`96139067d`](https://github.com/chakra-ui/chakra-ui/commit/96139067daa4b9a606b60c73f28a88ccd99d983b),
  [`91ef14839`](https://github.com/chakra-ui/chakra-ui/commit/91ef148397187010804eb8f30307d2ec94c32c5b),
  [`9c143bfe5`](https://github.com/chakra-ui/chakra-ui/commit/9c143bfe5bbf180929fabb0a1b4c18d40f7fd3fc),
  [`91ef14839`](https://github.com/chakra-ui/chakra-ui/commit/91ef148397187010804eb8f30307d2ec94c32c5b),
  [`eece70293`](https://github.com/chakra-ui/chakra-ui/commit/eece70293fb095d016a1ef8f2e367422b3e02ef5)]:
  - @chakra-ui/transition@1.1.0
  - @chakra-ui/hooks@1.2.0
  - @chakra-ui/utils@1.4.0
  - @chakra-ui/theme@1.7.1
  - @chakra-ui/alert@1.1.3
  - @chakra-ui/close-button@1.1.3

## 1.1.12

### Patch Changes

- Updated dependencies
  [[`87e42eb64`](https://github.com/chakra-ui/chakra-ui/commit/87e42eb6410846d0041a7e88e2c771d15d596f25),
  [`7efc9c217`](https://github.com/chakra-ui/chakra-ui/commit/7efc9c217789b2b314ed629c94b947256e8cbe2c),
  [`83ae62905`](https://github.com/chakra-ui/chakra-ui/commit/83ae62905935fdb3104380d6fd845159b00095fa),
  [`280d0dbfd`](https://github.com/chakra-ui/chakra-ui/commit/280d0dbfdd8894ab4aa228ac7ef816008a5d0824),
  [`87cc23e14`](https://github.com/chakra-ui/chakra-ui/commit/87cc23e14814e02cbbfc9737c2356cef682ddd5d),
  [`f032942c8`](https://github.com/chakra-ui/chakra-ui/commit/f032942c8a2568a3a23baee0d5972834345e5fa6),
  [`39375c15b`](https://github.com/chakra-ui/chakra-ui/commit/39375c15b64635ea3f59d9f5ad1f31851f9f018b)]:
  - @chakra-ui/theme@1.7.0
  - @chakra-ui/hooks@1.1.5
  - @chakra-ui/utils@1.3.0
  - @chakra-ui/alert@1.1.2
  - @chakra-ui/close-button@1.1.2
  - @chakra-ui/transition@1.0.9

## 1.1.11

### Patch Changes

- Updated dependencies
  [[`e8113d3ca`](https://github.com/chakra-ui/chakra-ui/commit/e8113d3ca66e9d45ac2dbb7109ff8904cbfd1134),
  [`d6808f0a4`](https://github.com/chakra-ui/chakra-ui/commit/d6808f0a4ae6ad426b498e9556c76071f7aa9848),
  [`8597f58b7`](https://github.com/chakra-ui/chakra-ui/commit/8597f58b7d5c1fe401086d28a379bc1727756c5b)]:
  - @chakra-ui/theme@1.6.2

## 1.1.10

### Patch Changes

- Updated dependencies
  [[`f3ba8dd53`](https://github.com/chakra-ui/chakra-ui/commit/f3ba8dd53abc697c096165185764235012ada90f)]:
  - @chakra-ui/theme@1.6.1

## 1.1.9

### Patch Changes

- [`f50934bdd`](https://github.com/chakra-ui/chakra-ui/commit/f50934bdd5ec47396464a0f4cb02af732f835ee5)
  [#3228](https://github.com/chakra-ui/chakra-ui/pull/3228) Thanks
  [@TimKolberger](https://github.com/TimKolberger)! - Updated peer dependency
  version of @reach/alert to fix installation of @chakra-ui with npm v7
- Updated dependencies
  [[`a023a269f`](https://github.com/chakra-ui/chakra-ui/commit/a023a269ffe0efdae74be3de28e41790c9a5ca8a),
  [`2861b613b`](https://github.com/chakra-ui/chakra-ui/commit/2861b613bf354e6d00de01bf12bb543b2f2c2532),
  [`ff4a36bca`](https://github.com/chakra-ui/chakra-ui/commit/ff4a36bca11cc177830f6f1da13700acd1e3a087),
  [`408aaaace`](https://github.com/chakra-ui/chakra-ui/commit/408aaaace0dd413b61354958a4c30b9f2f8aa376),
  [`483687237`](https://github.com/chakra-ui/chakra-ui/commit/483687237f2c4fed05dc6a79693f307c601c1285),
  [`61962345c`](https://github.com/chakra-ui/chakra-ui/commit/61962345c5b1c862445c16c586e304b28c376c9a)]:
  - @chakra-ui/theme@1.6.0
  - @chakra-ui/utils@1.2.0
  - @chakra-ui/alert@1.1.1
  - @chakra-ui/close-button@1.1.1
  - @chakra-ui/hooks@1.1.4
  - @chakra-ui/transition@1.0.8

## 1.1.8

### Patch Changes

- Updated dependencies
  [[`20fb74c07`](https://github.com/chakra-ui/chakra-ui/commit/20fb74c074fbb4f229c9613f91de65e824309c07),
  [`90c7a4fbf`](https://github.com/chakra-ui/chakra-ui/commit/90c7a4fbfde69c01395ffe2876d7348dd72ea65a),
  [`709ca0398`](https://github.com/chakra-ui/chakra-ui/commit/709ca0398a8c82c55b85c1364d80b90c5e075257),
  [`b572bceed`](https://github.com/chakra-ui/chakra-ui/commit/b572bceedd9fb0c41c65118f0d9ba672791932ca)]:
  - @chakra-ui/theme@1.5.0
  - @chakra-ui/alert@1.1.0
  - @chakra-ui/close-button@1.1.0
  - @chakra-ui/hooks@1.1.3
  - @chakra-ui/transition@1.0.7

## 1.1.7

### Patch Changes

- Updated dependencies
  [[`002a4361`](https://github.com/chakra-ui/chakra-ui/commit/002a4361bd738bef49e021a2fff2b9b6a9af5815)]:
  - @chakra-ui/hooks@1.1.2
  - @chakra-ui/transition@1.0.6

## 1.1.6

### Patch Changes

- Updated dependencies
  [[`02855588`](https://github.com/chakra-ui/chakra-ui/commit/02855588a4ffbc6573768052e53cc538361e91ee)]:
  - @chakra-ui/hooks@1.1.1
  - @chakra-ui/transition@1.0.5

## 1.1.5

### Patch Changes

- Updated dependencies
  [[`4ae55fa3`](https://github.com/chakra-ui/chakra-ui/commit/4ae55fa3ff28eec1be9e1e5b6ab37d3c7f727df1),
  [`8b87406c`](https://github.com/chakra-ui/chakra-ui/commit/8b87406c3132586be3393117eef80d47ec82fc54),
  [`8b87406c`](https://github.com/chakra-ui/chakra-ui/commit/8b87406c3132586be3393117eef80d47ec82fc54),
  [`8b87406c`](https://github.com/chakra-ui/chakra-ui/commit/8b87406c3132586be3393117eef80d47ec82fc54)]:
  - @chakra-ui/theme@1.4.1
  - @chakra-ui/hooks@1.1.0
  - @chakra-ui/utils@1.1.0
  - @chakra-ui/transition@1.0.4
  - @chakra-ui/alert@1.0.4
  - @chakra-ui/close-button@1.0.4

## 1.1.4

### Patch Changes

- Updated dependencies
  [[`ff7c3676`](https://github.com/chakra-ui/chakra-ui/commit/ff7c36764650dc7f01957c417eae1ec8ce356495)]:
  - @chakra-ui/theme@1.4.0

## 1.1.3

### Patch Changes

- Updated dependencies
  [[`f192cfd6`](https://github.com/chakra-ui/chakra-ui/commit/f192cfd640302e75762bb351cec21fdf670ab898),
  [`de3d059b`](https://github.com/chakra-ui/chakra-ui/commit/de3d059bf2ee7ca2a8ba5f10051b4cd76f86847a)]:
  - @chakra-ui/theme@1.3.0

## 1.1.2

### Patch Changes

- [`5bff79a1`](https://github.com/chakra-ui/chakra-ui/commit/5bff79a1ba6989d279fc432d5040c72cd75b392e)
  Thanks [@jmiazga](https://github.com/jmiazga)! - Updated framer-motion
  peerDependencies to v3

- Updated dependencies
  [[`5bff79a1`](https://github.com/chakra-ui/chakra-ui/commit/5bff79a1ba6989d279fc432d5040c72cd75b392e),
  [`e73878ee`](https://github.com/chakra-ui/chakra-ui/commit/e73878ee686c11d3f94ad6ac61b19ae9508d75a5),
  [`85eb4090`](https://github.com/chakra-ui/chakra-ui/commit/85eb409039640949e01f3aa7353519b19a42a53f),
  [`080a7acc`](https://github.com/chakra-ui/chakra-ui/commit/080a7accdd321123e44df082911c6250154fdbd5)]:
  - @chakra-ui/transition@1.0.3
  - @chakra-ui/utils@1.0.2
  - @chakra-ui/theme@1.2.2
  - @chakra-ui/alert@1.0.3
  - @chakra-ui/close-button@1.0.3
  - @chakra-ui/hooks@1.0.2

## 1.1.1

### Patch Changes

- Updated dependencies
  [[`72bbd0db`](https://github.com/chakra-ui/chakra-ui/commit/72bbd0dbb913ba38ee2b9191d12bf73713ae4398),
  [`c73cce25`](https://github.com/chakra-ui/chakra-ui/commit/c73cce25bf986fd5b1261575ca395f731f827f53)]:
  - @chakra-ui/theme@1.2.1
  - @chakra-ui/close-button@1.0.2
  - @chakra-ui/alert@1.0.2

## 1.1.0

### Minor Changes

- [`ac0af38d`](https://github.com/chakra-ui/chakra-ui/commit/ac0af38d12dc5828503e178fb94a21f252e3a62b)
  [#2668](https://github.com/chakra-ui/chakra-ui/pull/2668) Thanks
  [@raulrpearson](https://github.com/raulrpearson)! - Change toast title and
  description types from string to React.ReactNode to allowJSX

### Patch Changes

- Updated dependencies
  [[`28bd21d7`](https://github.com/chakra-ui/chakra-ui/commit/28bd21d793911ba56bd146dd7aaff1008a70d147),
  [`2192be3d`](https://github.com/chakra-ui/chakra-ui/commit/2192be3db77504addffc89cbfef62fb9e884fa5d),
  [`a36ede75`](https://github.com/chakra-ui/chakra-ui/commit/a36ede7519b7193f90e4985636a06c5d483a8a62),
  [`c696345a`](https://github.com/chakra-ui/chakra-ui/commit/c696345a711338a23542a7b1911a33927a9ba5f1),
  [`9fdc61d8`](https://github.com/chakra-ui/chakra-ui/commit/9fdc61d8801f6d76783b5c9f068525d4dfc28b20),
  [`2416cf9a`](https://github.com/chakra-ui/chakra-ui/commit/2416cf9abe183a3a38adbccff794088d86a46341)]:
  - @chakra-ui/theme@1.2.0
  - @chakra-ui/transition@1.0.2

## 1.0.1

### Patch Changes

- Updated dependencies
  [[`843854ec`](https://github.com/chakra-ui/chakra-ui/commit/843854ec669367623b50a598402be343866d87a8),
  [`892ea2ca`](https://github.com/chakra-ui/chakra-ui/commit/892ea2ca1c02b4127f4f044df33de58cc7641f5c),
  [`5c482483`](https://github.com/chakra-ui/chakra-ui/commit/5c482483ce24fc798540c9792a15e06772eae213),
  [`204ff7e3`](https://github.com/chakra-ui/chakra-ui/commit/204ff7e39dd37003786194704b36069ef94d56a6)]:
  - @chakra-ui/theme@1.1.0
  - @chakra-ui/utils@1.0.1
  - @chakra-ui/hooks@1.0.1
  - @chakra-ui/alert@1.0.1
  - @chakra-ui/close-button@1.0.1
  - @chakra-ui/transition@1.0.1

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0 (2020-11-13)

**Note:** Version bump only for package @chakra-ui/toast

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.8 (2020-10-29)

### Bug Fixes

- **toast:** allow custom render in update
  ([eb8bff9](https://github.com/chakra-ui/chakra-ui/commit/eb8bff911e6ec9de0165ab1e8f5ca10d5e022459)),
  closes [#2362](https://github.com/chakra-ui/chakra-ui/issues/2362)

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.7 (2020-10-25)

**Note:** Version bump only for package @chakra-ui/toast

# 1.0.0-rc.6 (2020-10-25)

**Note:** Version bump only for package @chakra-ui/toast

# 1.0.0-rc.5 (2020-09-27)

**Note:** Version bump only for package @chakra-ui/toast

# 1.0.0-rc.4 (2020-09-25)

**Note:** Version bump only for package @chakra-ui/toast

# 1.0.0-rc.3 (2020-08-30)

**Note:** Version bump only for package @chakra-ui/toast

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.2 (2020-08-09)

**Note:** Version bump only for package @chakra-ui/toast

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.1](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/toast@1.0.0-rc.0...@chakra-ui/toast@1.0.0-rc.1) (2020-08-06)

**Note:** Version bump only for package @chakra-ui/toast

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.0](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/toast@1.0.0-next.7...@chakra-ui/toast@1.0.0-rc.0) (2020-07-26)

**Note:** Version bump only for package @chakra-ui/toast

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.7](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/toast@1.0.0-next.6...@chakra-ui/toast@1.0.0-next.7) (2020-07-26)

**Note:** Version bump only for package @chakra-ui/toast

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.6](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/toast@1.0.0-next.5...@chakra-ui/toast@1.0.0-next.6) (2020-07-15)

**Note:** Version bump only for package @chakra-ui/toast

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.5](https://github.com/chakra-ui/chakra-ui/compare/@chakra-ui/toast@1.0.0-next.4...@chakra-ui/toast@1.0.0-next.5) (2020-07-15)

### Reverts

- z-index for toast manager
  [#1134](https://github.com/chakra-ui/chakra-ui/issues/1134)
  ([589b615](https://github.com/chakra-ui/chakra-ui/commit/589b6154e44cf6bdcb14adb9d92614b6c48d715e))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.4 (2020-07-01)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- case sensitivity issues in packages
  ([b423cd8](https://github.com/chakra-ui/chakra-ui/commit/b423cd88f0ede7e37b9a9eaec63cacfc1e9e5221))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- typo
  ([7b97f5c](https://github.com/chakra-ui/chakra-ui/commit/7b97f5cf500344df60692b71dcec7de9c1bd8be1))

### Features

- **toast:** remove manager z-index
  ([6d9b4c8](https://github.com/chakra-ui/chakra-ui/commit/6d9b4c8e19d39573e3ff0294cbfb3fd7309f81ea))
- add onCloseComplete prop for toast component
  ([d560be5](https://github.com/chakra-ui/chakra-ui/commit/d560be5654551e1e03213ff71002e2e3b623e6c4))
- support for duplicate prevention and update
  ([1cfdd3a](https://github.com/chakra-ui/chakra-ui/commit/1cfdd3a8fb8fc14e2746c4925d3a7353ad60e6de))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.3 (2020-06-28)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- case sensitivity issues in packages
  ([b423cd8](https://github.com/chakra-ui/chakra-ui/commit/b423cd88f0ede7e37b9a9eaec63cacfc1e9e5221))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- typo
  ([7b97f5c](https://github.com/chakra-ui/chakra-ui/commit/7b97f5cf500344df60692b71dcec7de9c1bd8be1))

### Features

- **toast:** remove manager z-index
  ([6d9b4c8](https://github.com/chakra-ui/chakra-ui/commit/6d9b4c8e19d39573e3ff0294cbfb3fd7309f81ea))
- add onCloseComplete prop for toast component
  ([d560be5](https://github.com/chakra-ui/chakra-ui/commit/d560be5654551e1e03213ff71002e2e3b623e6c4))
- support for duplicate prevention and update
  ([1cfdd3a](https://github.com/chakra-ui/chakra-ui/commit/1cfdd3a8fb8fc14e2746c4925d3a7353ad60e6de))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.2 (2020-06-21)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- case sensitivity issues in packages
  ([b423cd8](https://github.com/chakra-ui/chakra-ui/commit/b423cd88f0ede7e37b9a9eaec63cacfc1e9e5221))
- typo
  ([7b97f5c](https://github.com/chakra-ui/chakra-ui/commit/7b97f5cf500344df60692b71dcec7de9c1bd8be1))

### Features

- **toast:** remove manager z-index
  ([6d9b4c8](https://github.com/chakra-ui/chakra-ui/commit/6d9b4c8e19d39573e3ff0294cbfb3fd7309f81ea))
- add onCloseComplete prop for toast component
  ([d560be5](https://github.com/chakra-ui/chakra-ui/commit/d560be5654551e1e03213ff71002e2e3b623e6c4))
- support for duplicate prevention and update
  ([1cfdd3a](https://github.com/chakra-ui/chakra-ui/commit/1cfdd3a8fb8fc14e2746c4925d3a7353ad60e6de))
